#!/bin/sh
# RUN IN REPO ROOT DIR !!

export IMAGE_NAME="git.pbiernat.dev/egommerce/apigw-svc"

branch=${DRONE_TAG:=$CI_COMMIT_BRANCH}
branch=$(echo $branch | grep -v /) || echo $branch ;
p1=$(echo $branch | cut -d / -f1 -s) &&
p2=$(echo $branch | cut -d / -f2 -s) &&
tag=${branch:=$p1-$p2} && 
echo "Building" $tag

docker build --rm --cache-from "$IMAGE_NAME:latest" -t "$IMAGE_NAME:latest" .
